差分

移動先: 案内検索

RaspberryPiとDVB-TでADS-B

23,634 バイト除去, 2019年2月7日 (木) 18:11
編集の要約なし
=='''FlightAware'''==
<!--[[ファイル:FR24_flightware.jpg|250px|thumb|FlightAware]]-->
 
参考: [https://ja.flightaware.com/adsb/piaware/install PiAware - dump1090 ADS-B integration with FlightAware ✈ FlightAware]
動作確認
<!--[[ファイル:FR24-2_DUMP1090.jpg|250px|thumb|PiAware Skyview]]-->
 
RaspberryPiの場合 http://127.0.0.1:8080
他のPCの場合 http://192.168.1.183:8080
=='''Flightradar24'''==
<!--[[ファイル:FR24_Flightradar24 FeederDecoder.jpg|250px|thumb|Flightradar24 Feeder/Decoder]]
[[ファイル:FR24_FR24_Feeder_Status.jpg|250px|thumb|FR24 Feeder Settings]]
[[ファイル:FR24_flightradar24_PREMIUM_Stats.jpg|250px|thumb|flightradar24 PREMIUM Stats]]-->
 
参考: [https://www.flightradar24.com/share-your-data Share your ADS-B data]
RaspberryPiの場合 http://127.0.0.1:8754
他のPCの場合 http://192.168.1.183:8754
<!--
設定を間違えてるようなので変更<br />
Settingsボタンを押し、
Receiver: ModeS Beast(TCP)
Host/IP: 127.0.0.1:30005
右下のSaveボタンを押し、Restartボタンを押す
-->
Flightradar24 Premium
=='''RadarBox'''==
<!--[[ファイル:RadarBox24.jpg|250px|thumb|RadarBox24]]-->
 
参考: [https://www.radarbox24.com/blog/radarbox24-raspberry-pi-client Radarbox24 Raspberry Pi Client]
=='''Plane Finder'''==
<!--[[ファイル:FR24_planefinder02.jpg|250px|thumb|PlaneFinderClient]]
[[ファイル:FR24_planefinder.jpg|250px|thumb|PlaneFinderClient]]-->
参考: [https://planefinder.net/sharing/client Plane Finder Sharing]
RaspberryPiの場合 http://127.0.0.1:30053
他のPCの場合 http://192.168.1.183:30053
<!--
=='''Virtual Radar Server'''==
[[ファイル:FR24_Virtual_Radar.jpg|250px|thumb|Virtual Radar Server]]
[[ファイル:FR24-2_VRS_WebAdmin.jpg|250px|thumb|VRS Web Admin]]
参考: [http://www.virtualradarserver.co.uk/ Virtual Radar Server]
 
Linuxインストールに関する作者さんの説明
http://www.virtualradarserver.co.uk/Mono.aspx
Monoのインストール
<syntaxhighlight lang="bash">
$ sudo apt-get install mono-complete
</syntaxhighlight>
ダウンロード
<syntaxhighlight lang="bash" style="white-space: pre-wrap;white-space: -moz-pre-wrap;white-space: -pre-wrap;white-space: -o-pre-wrap;word-wrap: break-word;">
$ mkdir VirtualRadar
$ cd VirtualRadar
$ wget http://www.virtualradarserver.co.uk/Files/VirtualRadar.tar.gz
$ tar -zxvf VirtualRadar.tar.gz
$ wget http://www.virtualradarserver.co.uk/Files/VirtualRadar.WebAdminPlugin.tar.gz
$ tar -zxvf VirtualRadar.WebAdminPlugin.tar.gz
$ wget http://www.virtualradarserver.co.uk/Files/VirtualRadar.exe.config.tar.gz
$ tar -zxvf VirtualRadar.exe.config.tar.gz
</syntaxhighlight>
 
一度起動(/home/pi/.local/share/VirtualRadarディレクトリ作成のため)
<syntaxhighlight lang="bash">
$ mono VirtualRadar.exe
</syntaxhighlight>
Virtual Radar Server終了
 
ポート番号の変更(InstallerConfiguration.xmlの新規作成)
<syntaxhighlight lang="bash">
$ sudo leafpad /home/pi/.local/share/VirtualRadar/InstallerConfiguration.xml
</syntaxhighlight>
 
コピー&ペースト (この場合は8081番に変更)
<syntaxhighlight lang="xml" style="white-space: pre-wrap;white-space: -moz-pre-wrap;white-space: -pre-wrap;white-space: -o-pre-wrap;word-wrap: break-word;">
<?xml version="1.0" encoding="utf-8" ?>
<InstallerSettings xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<WebServerPort>8081</WebServerPort>
</InstallerSettings>
</syntaxhighlight>
 
Virtual Radar Server起動(ユーザー登録のため)
<syntaxhighlight lang="bash">
<name>に適当なユーザー名、<password>に適当なパスワード
$ mono VirtualRadar.exe -createAdmin:<name> -password:<password>
</syntaxhighlight>
 
Virtual Radar Server終了
 
Virtual Radar Serverに登録するDatabase、Flags、Silhouettesを[http://www.kinetic.co.uk/resourcesdownloads.php Kinetic Avionic]からダウンロードします。<br />
<span style="color:red;">種類が少なく全部表示してくれません。
[http://dz.plala.jp/wiki/index.php/Raspberry_Pi%E3%81%A8DVB-T%E3%81%A7ADS-B%E3%81%AEFlightradar24%E3%83%95%E3%82%A3%E3%83%BC%E3%83%80%E3%83%BC#Virtual_Radar_Server.E3.81.AE.E3.82.A4.E3.83.B3.E3.82.B9.E3.83.88.E3.83.BC.E3.83.AB 古い記事で書いた内容]で設定したほうが充実するかもです。</span>
 
Raspbianに標準搭載のブラウザChromiumを使用します。<br />
Chromiumのダウンロード保存先はデフォルト設定の/home/pi/Downloadsで作業進めてみます。
 
Database
http://www.kinetic.co.uk/resourcesdownloads.php#4
SBS Resources SQB File ボタンをクリック
 
Flags
http://www.kinetic.co.uk/resourcesdownloads.php#1
Operator Logos Version 2ボタンをクリック(Version 2がいちばん種類が豊富なのでこれで試してみます)
 
Silhouettes
http://www.kinetic.co.uk/resourcesdownloads.php#1
Silhouette Logos ボタンをクリック
 
<syntaxhighlight lang="bash">
ディレクトリの準備
$ cd /home/pi/VirtualRadar
$ mkdir data
$ mkdir data/Flags && mkdir data/Silhouettes
登録
$ cd /home/pi/Downloads
$ unzip BaseStation-sqb.zip
$ sudo mv BaseStation.sqb /home/pi/VirtualRadar/data/
$ unzip OperatorLogos2.zip
$ sudo cp -R OperatorLogos2/. /home/pi/VirtualRadar/data/Flags/
$ unzip SilhouettesLogos.zip
$ sudo cp -R SilhouettesLogos/. /home/pi/VirtualRadar/data/Silhouettes/
</syntaxhighlight>
 
Virtual Radar Server起動
<syntaxhighlight lang="bash">
$ cd /home/pi/VirtualRadar
$ mono VirtualRadar.exe
</syntaxhighlight>
 
VRS Web Admin Optionsに登録
PaspberryPiの場合 http://127.0.0.1:8081/VirtualRadar/WebAdmin/Index.html
他のPCの場合 http://192.168.1.183:8081/VirtualRadar/WebAdmin/Index.html
登録したユーザー名、パスワードでログイン
左のOptionsボタン
Database filename: /home/pi/VirtualRadar/data/BaseStation.sqb
Flags folder: /home/pi/VirtualRadar/data/Flags
Silhouettes folder: /home/pi/VirtualRadar/data/Silhouettes
下のほうのSaveボタン
 
Virtual Radar Server終了
 
自動起動設定
$ sudo leafpad /etc/init.d/virtualradar
 
コピーペースト
<syntaxhighlight lang="bash">
#! /bin/sh
### BEGIN INIT INFO
# Provides: VirtualRadarServer
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: web page for ADSB
# Description: my own ADS-B data with Virtual Radar Server
### END INIT INFO
 
# PATH should only include /usr/* if it runs after the mountnfs.sh script
#PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="Virtual Radar Sever for ADSB"
NAME=VirtualRadar
DAEMON="/usr/bin/mono /home/pi/VirtualRadar/$NAME.exe"
DAEMON_ARGS="-workingFolder:/home/pi/.local/share/VirtualRadar -nogui"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/virtualradar
 
# Exit if the package is not installed
#[ -x "$DAEMON" ] || exit 0
 
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
 
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --background --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --exec $DAEMON -- $DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
 
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --exec $DAEMON
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
 
#
# main
#
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
#status)
#status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
#;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
 
</syntaxhighlight>
 
権限変更
<syntaxhighlight lang="bash">
$ sudo chmod 755 /etc/init.d/virtualradar
</syntaxhighlight>
 
サービス登録
<syntaxhighlight lang="bash">
$ sudo update-rc.d virtualradar defaults
</syntaxhighlight>
 
再起動
<syntaxhighlight lang="bash">
$ sudo reboot
</syntaxhighlight>
動作確認
PaspberryPiの場合
VRS Web Admin http://127.0.0.1:8081/VirtualRadar/WebAdmin/Index.html
Default Version http://127.0.0.1:8081/VirtualRadar
Desktop Version http://127.0.0.1:8081/VirtualRadar/desktop.html
Mobile Version http://127.0.0.1:8081/VirtualRadar/mobile.html
Old Desktop Version http://127.0.0.1:8081/VirtualRadar/GoogleMap.htm
Old Mobile Version http://127.0.0.1:8081/VirtualRadar/iPhoneMap.htm
Setting Page http://127.0.0.1:8081/VirtualRadar/settings.html
 
他のPCの場合
VRS Web Admin http://192.168.1.183:8081/VirtualRadar/WebAdmin/Index.html
Default Version http://192.168.1.183:8081/VirtualRadar
Desktop Version http://192.168.1.183:8081/VirtualRadar/desktop.html
Mobile Version http://192.168.1.183:8081/VirtualRadar/mobile.html
Old Desktop Version http://192.168.1.183:8081/VirtualRadar/GoogleMap.htm
Old Mobile Version http://192.168.1.183:8081/VirtualRadar/iPhoneMap.htm
Setting Page http://192.168.1.183:8081/VirtualRadar/settings.html
 
=='''ModeSMixer2のインストール'''==
[[ファイル:FR24_ModeSMixer2.jpg|250px|thumb|ModeSMixer2]]
[[ファイル:FR24_ModeSMixer2_02.jpg|250px|thumb|ModeSMixer2]]
[[ファイル:FR24_ModeSMixer2_03.jpg|250px|thumb|ModeSMixer2]]
[[ファイル:FR24_ModeSMixer2_04.jpg|250px|thumb|ModeSMixer2]]
参考: [http://xdeco.org/ xdeco.org]<br />
RaspbianのブラウザChromiumを使用します。<br />
Chromiumのダウンロード保存先はデフォルト設定の/home/pi/Downloadsで作業進めてみます。<br />
ダウンロード
ブラウザChromiumから
http://xdeco.org/?page_id=30#mm2
Raspberry Pi用が数種類用意されてるので環境にあったものをダウンロード(googledriveでは↓マーク)
<syntaxhighlight lang="bash">
$ mkdir modesmixer2
$ sudo mv /home/pi/ダウンロード/modesmixer2_rpi2-3_deb9_20170924.tgz /home/pi/modesmixer2
$ cd modesmixer2
$ tar -zxvf modesmixer2_rpi2-3_deb9_20170924.tgz
</syntaxhighlight>
DatabaseとSilhouettesとFlightRouteを登録できるようです。<br />
DatabaseとSilhouettesはVirtual Radar Serverで登録したものをコピーし、<br />
FlightRouteは用意の仕方が分からないので「まんしゅう彩遊記」さんから頂きます。<br />
DatabaseとSilhouettes
<syntaxhighlight lang="bash">
$ sudo cp -R /home/pi/VirtualRadar/data/. /home/pi/modesmixer2/
</syntaxhighlight>
FlightRoute
 
ブラウザChromiumから
http://newmansyuu.blog.fc2.com/blog-entry-433.html
キャビネットボード
http://acarsman.in.coocan.jp/cab/viewtopic.php?f=2&t=177
flightroute_w.zip (62,993 byte) 15/09/11 更新  ダウンロード
 
$ cd ~
$ sudo mv /home/pi/ダウンロード/flightroute_w.zip /home/pi/modesmixer2
$ cd modesmixer2
$ unzip flightroute_w.zip
 
自動起動設定
<syntaxhighlight lang="bash">
$ sudo leafpad /etc/init.d/modesmixer2
</syntaxhighlight>
コピーペースト<br />
--location 35.xxxx:139.xxxxは観測地の緯度経度
<syntaxhighlight lang="bash" style="white-space: pre-wrap;white-space: -moz-pre-wrap;white-space: -pre-wrap;white-space: -o-pre-wrap;word-wrap: break-word;">
#! /bin/sh
### BEGIN INIT INFO
# Provides: modesmixer2
# Required-Start: $remote_fs $syslog
# Required-Stop: $remote_fs $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: modesmixer2
# Description: modesmixer2
### END INIT INFO
 
# Author: Foo Bar <foobar@baz.org>
#
# Please remove the "Author" lines above and replace them
# with your own name if you copy and modify this script.
 
# Do NOT "set -e"
 
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC="modesmixer2"
NAME=modesmixer2
DAEMON=/home/pi/modesmixer2/$NAME
DAEMON_ARGS="--inConnect 127.0.0.1:30005 --location 35.xxxx:139.xxxx --web 8082 --db /home/pi/modesmixer2/BaseStation.sqb --frdb /home/pi/modesmixer2/flightroute_w.sqb --silhouettes /home/pi/modesmixer2/Silhouettes"
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
 
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
 
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
 
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
# and status_of_proc is working.
. /lib/lsb/init-functions
 
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --background --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --background --pidfile $PIDFILE --make-pidfile --exec $DAEMON -- $DAEMON_ARGS \
|| return 2
# Add code here, if necessary, that waits for the process to be ready
# to handle requests from services started subsequently which depend
# on this one. As a last resort, sleep for some time.
}
 
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Wait for children to finish too if this is a daemon that forks
# and if the daemon is only ever run from this initscript.
# If the above conditions are not satisfied then add some other code
# that waits for the process to drop all resources that could be
# needed by services started subsequently. A last resort is to
# sleep for some time.
start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
[ "$?" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
 
#
# main
#
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
#status)
#status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
#;;
#reload|force-reload)
#
# If do_reload() is not implemented then leave this commented out
# and leave 'force-reload' as an alias for 'restart'.
#
#log_daemon_msg "Reloading $DESC" "$NAME"
#do_reload
#log_end_msg $?
#;;
restart|force-reload)
#
# If the "reload" option is implemented then remove the
# 'force-reload' alias
#
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
 
</syntaxhighlight>
権限変更
<syntaxhighlight lang="bash">
$ sudo chmod 755 /etc/init.d/modesmixer2
</syntaxhighlight>
サービス登録
<syntaxhighlight lang="bash">
$ sudo update-rc.d modesmixer2 defaults
</syntaxhighlight>
再起動
<syntaxhighlight lang="bash">
$ sudo reboot
</syntaxhighlight>
動作確認
RaspberryPiの場合 http://127.0.0.1:8082
他のPCの場合 http://192.168.1.183:8082
-->
<!--
=='''ADS-B Exchange'''==
[[ファイル:FR24_ADS-B Exchange.jpg|250px|thumb|ADS-B Exchange]]
参考: [http://www.adsbexchange.com/how-to-feed/ ADS-B Exchange]
 
設定方法
http://www.adsbexchange.com/how-to-feed-from-vrs/
 
VRS Web Admin
PaspberryPiの場合 http://127.0.0.1:8081/VirtualRadar/WebAdmin/Index.html
他のPCの場合 http://192.168.1.183:8081/VirtualRadar/WebAdmin/Index.html
 
Options→Rebroadcast Servers<br />
こんな感じで入力して右上×ボタン押して、画面下のSaveボタン<br />
[[ファイル:FR24_adsbexchange2.png|650px|border]]
 
再起動
<syntaxhighlight lang="bash">
$ sudo reboot
</syntaxhighlight>
 
動作確認<br />
VRS Web AdminのRebroadcast serversでカウントされてれば成功してると思います。
PaspberryPiの場合
VRS Web Admin http://127.0.0.1:8081/VirtualRadar/WebAdmin/Index.html
他のPCの場合
VRS Web Admin http://192.168.1.183:8081/VirtualRadar/WebAdmin/Index.html
確認
http://www.adsbexchange.com/ のGlobal Radar View(直リンクできないようです)
-->
=='''Nginx'''==
<!--[[ファイル:FR24_CORS対策json.jpg|250px|thumb|JSON]]-->
http://192.168.1.183:8080/data/aircraft.json の参照でCANVAS汚染しました。<br />
lighttpdにバイパスしCORS対策するだけのNginxを作ってみます。
[[ファイル:MyRadar24new.jpg|250px|thumb|MyRadar24]]
[[ファイル:MyRadar24new2.jpg|250px|thumb|MyRadar24]]
<!--
[[ファイル:googlechrome.jpg|250px|thumb|Google Chrome Developer Tools(DevTools)]]
 
http://discussions.flightaware.com/ads-b-flight-tracking-f21/dump1090-3d-viewer-t38493.html
For some reason Flightware can not postreply for English speaking people
Sorry for the long sentences
The reason for using nginx is to see raspberryPi's aircraft.json from a web server other than raspberryPi.
http://dz.plala.jp/myradar24/ The web server is open to this URL.
The 3D display application is countermeasures because this seemingly easy thing will be blocked with CORS.
Please ignore it because it is unrelated.
The program is very complicated. But the mechanism is simple.
Roughly it is an image that creates a 3d folder in an existing html folder and adds data and adds settings.
With RaspberryPi's file manager
In the case of dump 1090-fa /usr/share/dump1090-fa/html Do you have folders?
In the case of dump 1090-mutability /usr/share/dump1090-mutability/html Do you have folders?
Otherwise there are folders like dump1090 *** / html somewhere.
Please check it.
As you proceed, you will create a 3d folder in this html folder and you will find lots of files in it.
3d folder and Do you have files and folders in them?
If there is no data registration failed. Please try again.
It is half the end so far.
Next, please display dump1090 in the browser.
Even from a personal computer, RaspberryPi's browser is OK.
The URL of dump 1090 is http://192.168.1.183:8080 in the case of,
http://192.168.1.183:8080/data/aircraft.json Please enter in the URL of the browser and return.
When characters like symbols appear on the screen, this is aircraft.json.
If this does not appear, you need to find out from which URL the dump 1090 is reading aircraft.json.
In the case of dump 1090-fa
At the terminal
$ sudo leafpad /usr/share/dump1090-fa/html/script.js
Line 142
FetchPending = $.ajax({ url: 'data/aircraft.json',
It has become.
this is http://192.168.1.183:8080/data/aircraft.json It is the same meaning.
Or lighttpd may switch URLs internally but I do not know.
There is a possibility that you can deal with it if you know the URL of aircraft.json.
Or you can check it with Google Chrome Developer Tools. (I pasted the image on the right side.)
next http://192.168.1.183:8080/3d/ Please enter in the URL of the browser and return.
This is the URL that displays 3D Viewer.
Even if you do not display normally, the goal is close if there is any change on the screen.
※RaspberryPi's browser does not support 3D display. Eventually you will see it on another computer.
aircraft.json In case of symptoms that do not read
At the terminal
$ sudo leafpad /usr/share/dump1090-fa/html/3d/js/script.js
Line 53
url: '../data/aircraft.json', there is.
../data/aircraft.json The meaning of
.. is the one before it, it is one in front of 3d folder so html folder
data/aircraft.json There is no folder named, but this
http://192.168.1.183:8080/data/aircraft.json
In the same meaning as the program, the program constantly sends data of aircraft.json to this URL.
There is less possibility, but if it is the other side of the html folder
url: '../../data/aircraft.json',
In the case of 80 ports instead of 8080 ports, we can not deal with the current writing style.
dump1090 http://192.168.1.183:8080
json http://192.168.1.183:80/data/aircraft.json
Tell me the URL to dump1090 and display aircraft.json like this. We will deal with this part as soon as possible.
There are possibilities of heavy operation in environments where many airplanes are received.
Provisional response
3d/js/script.js
Line 443
/*new ol.layer.Vector({
source: vectorSource3,
updateWhileAnimating: true,
updateWhileInteracting: true
}),
new ol.layer.Vector({
source: vectorSource4,
updateWhileAnimating: true,
updateWhileInteracting: true
}),*/
Please enclose it with '/*' and '*/'.
You can disable the display of the trajectory.
We will arrange for the next update opportunity.
Please write anything else if you wish.
I do not think I can answer them all.
-->
3Dビューワーを作ってみました。<br />
dump1090-faのサブディレクトリで起動するよう設定してみます。<br />

案内メニュー